square.h File Reference

Classes for the Square block cipher. More...

Go to the source code of this file.

## Classes

struct | Square_Info
| Square block cipher information. More...
class | Square
| Square block cipher. More...

## Typedefs

typedef Square::Encryption | SquareEncryption
typedef Square::Decryption | SquareDecryption

## Detailed Description

Classes for the Square block cipher.

Definition in file square.h.

## Typedef Documentation

## SquareEncryption

typedef Square::Encryption SquareEncryption

Definition at line 58 of file square.h.

## SquareDecryption

typedef Square::Decryption SquareDecryption

Definition at line 59 of file square.h.